HttpDeflateStream
HttpDeflateStream::factory
HttpDeflateStream
PHP Manual

# HttpDeflateStream::__construct

(PECL pecl_http >= 0.21.0)

HttpDeflateStream::__construct — HttpDeflateStream class constructor

### Description

public HttpDeflateStream::__construct ([ int `$flags` = 0 ] )

Creates a new HttpDeflateStream object instance.

See the deflate stream constants table for possible `flags`.

### Parameters

`flags`

  initialization flags

### See Also

- HttpDeflateStream::factory() - HttpDeflateStream class factory

HttpDeflateStream
HttpDeflateStream::factory
HttpDeflateStream
PHP Manual